library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use ieee.math_real.all;
use work.LZ4CompressorLib.all;

package LZ4CompressorOutBufferLib is
  type OutputHeaderType is (WriteFrameHeader,
                            ReserveBlockSize,
                            WriteLiterals,
                            WriteMatchSequence,
                            WriteUnfinishedSequence,
                            FillBlockSize,
                            WriteZeroBlock,
                            WriteEndMark);


end package;

package body LZ4CompressorOutBufferLib is

end package body;
