--Copyright 1986-2017 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2017.2 (lin64) Build 1909853 Thu Jun 15 18:39:10 MDT 2017
--Date        : Wed Jun  6 14:34:27 2018
--Host        : benes-pc running 64-bit Manjaro Linux
--Command     : generate_target LZ4CoreTest.bd
--Design      : LZ4CoreTest
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity LZ4CoreTest is
  port (
    clock_rtl : in STD_LOGIC;
    reset_rtl : in STD_LOGIC;
    reset_rtl_0 : in STD_LOGIC
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of LZ4CoreTest : entity is "LZ4CoreTest,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=LZ4CoreTest,x_ipVersion=1.00.a,x_ipLanguage=VHDL,numBlks=5,numReposBlks=5,numNonXlnxBlks=3,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=USER,da_board_cnt=8,da_clkrst_cnt=10,synth_mode=Global}";
  attribute HW_HANDOFF : string;
  attribute HW_HANDOFF of LZ4CoreTest : entity is "LZ4CoreTest.hwdef";
end LZ4CoreTest;

architecture STRUCTURE of LZ4CoreTest is
  component LZ4CoreTest_FileOutput_0_0 is
  port (
    data_in_tdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    data_in_tstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    data_in_tlast : in STD_LOGIC;
    data_in_tvalid : in STD_LOGIC;
    data_in_tready : out STD_LOGIC;
    data_in_aclk : in STD_LOGIC;
    data_in_aresetn : in STD_LOGIC
  );
  end component LZ4CoreTest_FileOutput_0_0;
  component LZ4CoreTest_FileInput_0_0 is
  port (
    file_out_tdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    file_out_tstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    file_out_tlast : out STD_LOGIC;
    file_out_tvalid : out STD_LOGIC;
    file_out_tready : in STD_LOGIC;
    file_out_aclk : in STD_LOGIC;
    file_out_aresetn : in STD_LOGIC
  );
  end component LZ4CoreTest_FileInput_0_0;
  component LZ4CoreTest_clk_wiz_2 is
  port (
    reset : in STD_LOGIC;
    clk_in1 : in STD_LOGIC;
    clk_out1 : out STD_LOGIC;
    locked : out STD_LOGIC
  );
  end component LZ4CoreTest_clk_wiz_2;
  component LZ4CoreTest_rst_clk_wiz_100M_1 is
  port (
    slowest_sync_clk : in STD_LOGIC;
    ext_reset_in : in STD_LOGIC;
    aux_reset_in : in STD_LOGIC;
    mb_debug_sys_rst : in STD_LOGIC;
    dcm_locked : in STD_LOGIC;
    mb_reset : out STD_LOGIC;
    bus_struct_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    interconnect_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component LZ4CoreTest_rst_clk_wiz_100M_1;
  component LZ4CoreTest_LZ4Compressor_0_0 is
  port (
    in_data_axi_tdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    in_data_axi_tstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    in_data_axi_tlast : in STD_LOGIC;
    in_data_axi_tvalid : in STD_LOGIC;
    in_data_axi_tready : out STD_LOGIC;
    in_data_axi_aclk : in STD_LOGIC;
    in_data_axi_aresetn : in STD_LOGIC;
    out_data_axi_tdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    out_data_axi_tstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    out_data_axi_tlast : out STD_LOGIC;
    out_data_axi_tvalid : out STD_LOGIC;
    out_data_axi_tready : in STD_LOGIC;
    out_data_axi_aclk : in STD_LOGIC;
    out_data_axi_aresetn : in STD_LOGIC;
    in_ctrl_axi_awaddr : in STD_LOGIC_VECTOR ( 3 downto 0 );
    in_ctrl_axi_awprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    in_ctrl_axi_awvalid : in STD_LOGIC;
    in_ctrl_axi_awready : out STD_LOGIC;
    in_ctrl_axi_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    in_ctrl_axi_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    in_ctrl_axi_wvalid : in STD_LOGIC;
    in_ctrl_axi_wready : out STD_LOGIC;
    in_ctrl_axi_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    in_ctrl_axi_bvalid : out STD_LOGIC;
    in_ctrl_axi_bready : in STD_LOGIC;
    in_ctrl_axi_araddr : in STD_LOGIC_VECTOR ( 3 downto 0 );
    in_ctrl_axi_arprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    in_ctrl_axi_arvalid : in STD_LOGIC;
    in_ctrl_axi_arready : out STD_LOGIC;
    in_ctrl_axi_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    in_ctrl_axi_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    in_ctrl_axi_rvalid : out STD_LOGIC;
    in_ctrl_axi_rready : in STD_LOGIC;
    in_ctrl_axi_aclk : in STD_LOGIC;
    in_ctrl_axi_aresetn : in STD_LOGIC
  );
  end component LZ4CoreTest_LZ4Compressor_0_0;
  signal FileInput_0_FILE_OUT_TDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal FileInput_0_FILE_OUT_TLAST : STD_LOGIC;
  signal FileInput_0_FILE_OUT_TREADY : STD_LOGIC;
  signal FileInput_0_FILE_OUT_TSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal FileInput_0_FILE_OUT_TVALID : STD_LOGIC;
  signal LZ4Compressor_0_OUT_DATA_AXI_TDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal LZ4Compressor_0_OUT_DATA_AXI_TLAST : STD_LOGIC;
  signal LZ4Compressor_0_OUT_DATA_AXI_TREADY : STD_LOGIC;
  signal LZ4Compressor_0_OUT_DATA_AXI_TSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal LZ4Compressor_0_OUT_DATA_AXI_TVALID : STD_LOGIC;
  signal clk_wiz_clk_out1 : STD_LOGIC;
  signal clk_wiz_locked : STD_LOGIC;
  signal clock_rtl_1 : STD_LOGIC;
  signal reset_rtl_0_1 : STD_LOGIC;
  signal reset_rtl_1 : STD_LOGIC;
  signal rst_clk_wiz_100M_peripheral_aresetn : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_LZ4Compressor_0_in_ctrl_axi_arready_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_awready_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_bvalid_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_rvalid_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_wready_UNCONNECTED : STD_LOGIC;
  signal NLW_LZ4Compressor_0_in_ctrl_axi_bresp_UNCONNECTED : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal NLW_LZ4Compressor_0_in_ctrl_axi_rdata_UNCONNECTED : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal NLW_LZ4Compressor_0_in_ctrl_axi_rresp_UNCONNECTED : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal NLW_rst_clk_wiz_100M_mb_reset_UNCONNECTED : STD_LOGIC;
  signal NLW_rst_clk_wiz_100M_bus_struct_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_rst_clk_wiz_100M_interconnect_aresetn_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_rst_clk_wiz_100M_peripheral_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
begin
  clock_rtl_1 <= clock_rtl;
  reset_rtl_0_1 <= reset_rtl_0;
  reset_rtl_1 <= reset_rtl;
FileInput_0: component LZ4CoreTest_FileInput_0_0
     port map (
      file_out_aclk => clk_wiz_clk_out1,
      file_out_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      file_out_tdata(31 downto 0) => FileInput_0_FILE_OUT_TDATA(31 downto 0),
      file_out_tlast => FileInput_0_FILE_OUT_TLAST,
      file_out_tready => FileInput_0_FILE_OUT_TREADY,
      file_out_tstrb(3 downto 0) => FileInput_0_FILE_OUT_TSTRB(3 downto 0),
      file_out_tvalid => FileInput_0_FILE_OUT_TVALID
    );
FileOutput_0: component LZ4CoreTest_FileOutput_0_0
     port map (
      data_in_aclk => clk_wiz_clk_out1,
      data_in_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      data_in_tdata(31 downto 0) => LZ4Compressor_0_OUT_DATA_AXI_TDATA(31 downto 0),
      data_in_tlast => LZ4Compressor_0_OUT_DATA_AXI_TLAST,
      data_in_tready => LZ4Compressor_0_OUT_DATA_AXI_TREADY,
      data_in_tstrb(3 downto 0) => LZ4Compressor_0_OUT_DATA_AXI_TSTRB(3 downto 0),
      data_in_tvalid => LZ4Compressor_0_OUT_DATA_AXI_TVALID
    );
LZ4Compressor_0: component LZ4CoreTest_LZ4Compressor_0_0
     port map (
      in_ctrl_axi_aclk => clk_wiz_clk_out1,
      in_ctrl_axi_araddr(3 downto 0) => B"0000",
      in_ctrl_axi_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      in_ctrl_axi_arprot(2 downto 0) => B"000",
      in_ctrl_axi_arready => NLW_LZ4Compressor_0_in_ctrl_axi_arready_UNCONNECTED,
      in_ctrl_axi_arvalid => '0',
      in_ctrl_axi_awaddr(3 downto 0) => B"0000",
      in_ctrl_axi_awprot(2 downto 0) => B"000",
      in_ctrl_axi_awready => NLW_LZ4Compressor_0_in_ctrl_axi_awready_UNCONNECTED,
      in_ctrl_axi_awvalid => '0',
      in_ctrl_axi_bready => '0',
      in_ctrl_axi_bresp(1 downto 0) => NLW_LZ4Compressor_0_in_ctrl_axi_bresp_UNCONNECTED(1 downto 0),
      in_ctrl_axi_bvalid => NLW_LZ4Compressor_0_in_ctrl_axi_bvalid_UNCONNECTED,
      in_ctrl_axi_rdata(31 downto 0) => NLW_LZ4Compressor_0_in_ctrl_axi_rdata_UNCONNECTED(31 downto 0),
      in_ctrl_axi_rready => '0',
      in_ctrl_axi_rresp(1 downto 0) => NLW_LZ4Compressor_0_in_ctrl_axi_rresp_UNCONNECTED(1 downto 0),
      in_ctrl_axi_rvalid => NLW_LZ4Compressor_0_in_ctrl_axi_rvalid_UNCONNECTED,
      in_ctrl_axi_wdata(31 downto 0) => B"00000000000000000000000000000000",
      in_ctrl_axi_wready => NLW_LZ4Compressor_0_in_ctrl_axi_wready_UNCONNECTED,
      in_ctrl_axi_wstrb(3 downto 0) => B"0000",
      in_ctrl_axi_wvalid => '0',
      in_data_axi_aclk => clk_wiz_clk_out1,
      in_data_axi_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      in_data_axi_tdata(31 downto 0) => FileInput_0_FILE_OUT_TDATA(31 downto 0),
      in_data_axi_tlast => FileInput_0_FILE_OUT_TLAST,
      in_data_axi_tready => FileInput_0_FILE_OUT_TREADY,
      in_data_axi_tstrb(3 downto 0) => FileInput_0_FILE_OUT_TSTRB(3 downto 0),
      in_data_axi_tvalid => FileInput_0_FILE_OUT_TVALID,
      out_data_axi_aclk => clk_wiz_clk_out1,
      out_data_axi_aresetn => rst_clk_wiz_100M_peripheral_aresetn(0),
      out_data_axi_tdata(31 downto 0) => LZ4Compressor_0_OUT_DATA_AXI_TDATA(31 downto 0),
      out_data_axi_tlast => LZ4Compressor_0_OUT_DATA_AXI_TLAST,
      out_data_axi_tready => LZ4Compressor_0_OUT_DATA_AXI_TREADY,
      out_data_axi_tstrb(3 downto 0) => LZ4Compressor_0_OUT_DATA_AXI_TSTRB(3 downto 0),
      out_data_axi_tvalid => LZ4Compressor_0_OUT_DATA_AXI_TVALID
    );
clk_wiz: component LZ4CoreTest_clk_wiz_2
     port map (
      clk_in1 => clock_rtl_1,
      clk_out1 => clk_wiz_clk_out1,
      locked => clk_wiz_locked,
      reset => reset_rtl_1
    );
rst_clk_wiz_100M: component LZ4CoreTest_rst_clk_wiz_100M_1
     port map (
      aux_reset_in => '1',
      bus_struct_reset(0) => NLW_rst_clk_wiz_100M_bus_struct_reset_UNCONNECTED(0),
      dcm_locked => clk_wiz_locked,
      ext_reset_in => reset_rtl_0_1,
      interconnect_aresetn(0) => NLW_rst_clk_wiz_100M_interconnect_aresetn_UNCONNECTED(0),
      mb_debug_sys_rst => '0',
      mb_reset => NLW_rst_clk_wiz_100M_mb_reset_UNCONNECTED,
      peripheral_aresetn(0) => rst_clk_wiz_100M_peripheral_aresetn(0),
      peripheral_reset(0) => NLW_rst_clk_wiz_100M_peripheral_reset_UNCONNECTED(0),
      slowest_sync_clk => clk_wiz_clk_out1
    );
end STRUCTURE;
